# see https://gitlab.com/gitlab-org/gitlab-runner/container_registry/1472754
ARG VER
FROM registry.gitlab.com/gitlab-org/gitlab-runner/gitlab-runner-helper:$VER

ARG SEND_JOB_METADATA=NO

RUN apk upgrade && apk add openssh-client curl && rm -Rf /var/cache/apk

# Use git_wrapper as git binary that
# 1. starts an ssh-agent
# 2. adds private SSH key to the agent
# 3. forwards the call to the original git binary
COPY git_wrapper /usr/local/bin/git

RUN echo "export SEND_JOB_METADATA=$SEND_JOB_METADATA" > /etc/profile.d/30_job_metadata.sh

# Ignore StrictHostKeyChecking as default ssh_config
COPY ssh_config /etc/ssh/ssh_config
